Bug 162048 - port "cad/qcad" - no localization
port "cad/qcad" - no localization
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Michael Reifenberger
Depends on:
  Show dependency treegraph
Reported: 2011-10-27 08:40 UTC by sterum
Modified: 2011-11-28 14:33 UTC (History)
0 users

See Also:

file.txt (1.04 KB, text/plain)
2011-10-27 08:40 UTC, sterum
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description sterum 2011-10-27 08:40:09 UTC
In qcad it is not possible to change the language of the user interface and the commands.

Fix: change the Makefile:
In section "do-build" remove the notrans option of the build-script "build-qcad.sh"

and put the attached patch tho the files folder of the port.
(I put the two patches into one .txt file)

Patch attached with submission follows:
How-To-Repeat: In the application preferences of qcad no GUI Language and no Command Language can be chosen.
Comment 1 Edwin Groothuis freebsd_committer 2011-10-27 08:40:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mr

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2011-10-31 15:39:15 UTC
mr          2011-10-31 15:39:01 UTC

  FreeBSD ports repository

  Modified files:
    cad/qcad             Makefile 
  Added files:
    cad/qcad/files       patch-ad patch-ae 
  Add localisazion support to the qcad port.
  PR:             ports/162048
  Submitted by:   Stefan Rumetshofer
  Revision  Changes    Path
  1.59      +1 -1      ports/cad/qcad/Makefile
  1.3       +28 -0     ports/cad/qcad/files/patch-ad (new)
  1.3       +10 -0     ports/cad/qcad/files/patch-ae (new)
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Michael Reifenberger freebsd_committer 2011-11-21 17:25:16 UTC
State Changed
From-To: open->freebsd-bugs

Fix committed.
Comment 4 Michael Reifenberger freebsd_committer 2011-11-28 14:31:05 UTC
State Changed
From-To: open->closed

Try to close this PR correctly this time.